Index: update-fixed-info.xsl
===================================================================
--- update-fixed-info.xsl	(revision 5648)
+++ update-fixed-info.xsl	(revision 5649)
@@ -111,7 +111,22 @@
 			</xsl:otherwise>
 		</xsl:choose>
 	</xsl:template>
+	  
+	<!-- ================================================================= -->
 	
+	<!-- Fixes errors importing metadata from GeoSource v1. -->
+	<xsl:template match="*[@gco:isoType='MD_DataIdentification'or @gco:isoType='MD_ReferenceSystem'or
+						@gco:isoType='MD_Constraints'or @gco:isoType='MD_LegalConstraints'or
+						@gco:isoType='MD_SecurityConstraints'] ">
+		<xsl:variable name="attValue" select="@gco:isoType"/>
+		<xsl:copy>
+			<xsl:attribute name="gco:isoType">
+				<xsl:value-of select="concat('gmd:',$attValue)"></xsl:value-of>
+			</xsl:attribute>
+			<xsl:apply-templates select="*"/>
+		</xsl:copy>
+	</xsl:template>
+	
 	<!-- ================================================================= -->
 	
 	<xsl:template match="*[gco:CharacterString]">
